## lua-lpty 1.0.1

=== Makefile ===
# simple Makefile for lpty. Works for Linux, MacOS X, probably other unixen
#
# Gunnar Zötl <gz@tset.de>, 2011.
# Released under MIT/X11 license. See file LICENSE for details.

# try some automatic discovery
OS = $(shell uname -s)
LUAVERSION = $(shell lua -v 2>&1|awk '{split($$2, a, "."); print a[1] "." a[2]}')
LUADIR = $(shell dirname `which lua`)
LUAROOT = $(shell dirname $(LUADIR))

# Defaults
CC = gcc
TARGET = lpty.so
DEBUG= #-g -lefence
CFLAGS=-O2 -fPIC $(DEBUG)
INCDIRS=-I$(LUAROOT)/include
LIBDIRS=-L$(LUAROOT)/lib
LDFLAGS=-shared $(DEBUG)

INSTALL_ROOT=/usr/local
SO_INST_ROOT=$(INSTALL_ROOT)/lib/lua/$(LUAVERSION)
LUA_INST_ROOT=$(INSTALL_ROOT)/share/lua/$(LUAVERSION)

# OS specialities
ifeq ($(OS),Darwin)
CC = cc
LDFLAGS = -bundle -undefined dynamic_lookup -all_load
endif

all: $(TARGET)

$(TARGET): lpty.o
	$(CC) $(LDFLAGS) -o $@ $(LIBDIRS) $<

lpty.o: lpty.c
	$(CC) $(CFLAGS) $(INCDIRS) -c $< -o $@

install: all
	cp $(TARGET) $(SO_INST_ROOT)

test: all
	cd samples && LUA_CPATH=../\?.so lua lptytest.lua

clean:
	find . -name "*~" -exec rm {} \;
	find . -name .DS_Store -exec rm {} \;
	find . -name "._*" -exec rm {} \;
	rm -f *.o *.so core

=== debian/changelog ===
lua-lpty (1.0.1-4) unstable; urgency=medium

  * QA upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 21:50:32 +0200

lua-lpty (1.0.1-3) unstable; urgency=medium

  * QA upload.
  * Point Vcs fields to Salsa
  * Secure URI in Homepage
  * Write watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debian/not-installed to cope with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2025 13:35:39 +0200

lua-lpty (1.0.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995511)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:43:33 -0300

lua-lpty (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870552).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:30:03 +0100

lua-lpty (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #719795)
  * Patch to fix test (used to fail if redirected)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 15 Aug 2013 15:00:29 +0200

=== debian/control ===
Source: lua-lpty
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),  dh-lua
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-lpty
Vcs-Git: https://salsa.debian.org/lua-team/lua-lpty.git
Homepage: https://www.tset.de/lpty/

Package: lua-lpty
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: PTY library for the Lua language
 This package gives the Language access to the pseudo terminal
 interface.

Package: lua-lpty-dev
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: lua-lpty (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: PTY library for the Lua language - development files
 This package contains the development files of the lpty library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
   https://codeberg.org/gnarz/lpty.git refs/tags/(?:rel|version)_@ANY_VERSION@
